WindowsService (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.windows.WindowsService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.windows
Interface WindowsService

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareService

    public interface WindowsService

extends SoftwareService

Naming Rules:
  0="name,parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  WINSVC
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.SoftwareService
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAccount()`
`boolean` | `getCanBePaused()`
`boolean` | `getCanBeStopped()`
`boolean` | `getDesktopInteract()`
`java.lang.String` | `getErrorControl()`
`int` | `getExitCode()`
`java.lang.String` | `getOperatingState()`
`WindowsOperatingSystem` | `getParent()`
`java.lang.String` | `getPathName()`
`int` | `getProcessId()`
`java.lang.String` | `getServiceName()`
`int` | `getServiceSpecificCode()`
`java.lang.String` | `getServiceType()`
`boolean` | `getStarted()`
`java.lang.String` | `getStartMode()`
`boolean` | `hasAccount()`
`boolean` | `hasCanBePaused()`
`boolean` | `hasCanBeStopped()`
`boolean` | `hasDesktopInteract()`
`boolean` | `hasErrorControl()`
`boolean` | `hasExitCode()`
`boolean` | `hasOperatingState()`
`boolean` | `hasParent()`
`boolean` | `hasPathName()`
`boolean` | `hasProcessId()`
`boolean` | `hasServiceName()`
`boolean` | `hasServiceSpecificCode()`
`boolean` | `hasServiceType()`
`boolean` | `hasStarted()`
`boolean` | `hasStartMode()`
`void` | `setAccount(java.lang.String account)`
`void` | `setCanBePaused(boolean canBePaused)`
`void` | `setCanBeStopped(boolean canBeStopped)`
`void` | `setDesktopInteract(boolean desktopInteract)`
`void` | `setErrorControl(java.lang.String errorControl)`
`void` | `setExitCode(int exitCode)`
`void` | `setOperatingState(java.lang.String operatingState)`
`void` | `setParent(WindowsOperatingSystem parent)`
`void` | `setPathName(java.lang.String pathName)`
`void` | `setProcessId(int processId)`
`void` | `setServiceName(java.lang.String serviceName)`
`void` | `setServiceSpecificCode(int serviceSpecificCode)`
`void` | `setServiceType(java.lang.String serviceType)`
`void` | `setStarted(boolean started)`
`void` | `setStartMode(java.lang.String startMode)`

Methods inherited from interface com.collation.platform.model.topology.sys.SoftwareService
`getDate, getManufacturer, getName, getPath, getSize, getSoftwareVersion, hasDate, hasManufacturer, hasName, hasPath, hasSize, hasSoftwareVersion, setDate, setManufacturer, setName, setPath, setSize, setSoftwareVersion`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WindowsOperatingSystem getParent()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setParent

    void setParent(WindowsOperatingSystem parent)

### hasParent

    boolean hasParent()

### getServiceName

    java.lang.String getServiceName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServiceName

    void setServiceName(java.lang.String serviceName)

### hasServiceName

    boolean hasServiceName()

### getCanBePaused

    boolean getCanBePaused()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCanBePaused

    void setCanBePaused(boolean canBePaused)

### hasCanBePaused

    boolean hasCanBePaused()

### getCanBeStopped

    boolean getCanBeStopped()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCanBeStopped

    void setCanBeStopped(boolean canBeStopped)

### hasCanBeStopped

    boolean hasCanBeStopped()

### getDesktopInteract

    boolean getDesktopInteract()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDesktopInteract

    void setDesktopInteract(boolean desktopInteract)

### hasDesktopInteract

    boolean hasDesktopInteract()

### getErrorControl

    java.lang.String getErrorControl()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setErrorControl

    void setErrorControl(java.lang.String errorControl)

### hasErrorControl

    boolean hasErrorControl()

### getOperatingState

    java.lang.String getOperatingState()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOperatingState

    void setOperatingState(java.lang.String operatingState)

### hasOperatingState

    boolean hasOperatingState()

### getStarted

    boolean getStarted()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStarted

    void setStarted(boolean started)

### hasStarted

    boolean hasStarted()

### getStartMode

    java.lang.String getStartMode()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartMode

    void setStartMode(java.lang.String startMode)

### hasStartMode

    boolean hasStartMode()

### getAccount

    java.lang.String getAccount()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAccount

    void setAccount(java.lang.String account)

### hasAccount

    boolean hasAccount()

### getPathName

    java.lang.String getPathName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPathName

    void setPathName(java.lang.String pathName)

### hasPathName

    boolean hasPathName()

### getProcessId

    int getProcessId()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProcessId

    void setProcessId(int processId)

### hasProcessId

    boolean hasProcessId()

### getExitCode

    int getExitCode()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExitCode

    void setExitCode(int exitCode)

### hasExitCode

    boolean hasExitCode()

### getServiceSpecificCode

    int getServiceSpecificCode()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServiceSpecificCode

    void setServiceSpecificCode(int serviceSpecificCode)

### hasServiceSpecificCode

    boolean hasServiceSpecificCode()

### getServiceType

    java.lang.String getServiceType()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServiceType

    void setServiceType(java.lang.String serviceType)

### hasServiceType

    boolean hasServiceType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD